package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFJZ2Data {

    private Map<String, Object> params;
    
    public MWFJZ2Data(Map<String, Object> params) {
        this.params = params;
    }

    public String rsIdBundle() {
        return (String) params.get("RS_ID_BUNDLE");
    }

    public java.util.Date rsDateFrom() {
        return (java.util.Date) params.get("RS_DATE_FROM");
    }

    public java.util.Date rsDateTo() {
        return (java.util.Date) params.get("RS_DATE_TO");
    }

    public String rsChannel() {
        return (String) params.get("RS_CHANNEL");
    }

    public String rsSso() {
        return (String) params.get("RS_SSO");
    }

    public java.util.Date rsLogDate() {
        return (java.util.Date) params.get("RS_LOG_DATE");
    }

    public java.util.Date rsLogTime() {
        return (java.util.Date) params.get("RS_LOG_TIME");
    } 

}
